| Home | Libraries | People | FAQ | More

## Macro BOOST_COPYABLE_AND_MOVABLE

BOOST_COPYABLE_AND_MOVABLE

## Synopsis

    // In header: <boost/move/core.hpp>

    BOOST_COPYABLE_AND_MOVABLE(TYPE)

## Description

This macro marks a type as copyable and movable. The user will need to write a move constructor/assignment and a copy assignment as explained in the documentation to fully write a copyable and movable class.